Bug 151651 - mkinitrd needs longer wait for two usb disks
mkinitrd needs longer wait for two usb disks
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-21 09:20 EST by Alexandre Oliva
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 17:22:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that increases the usb-storage stabilization wait to 8 seconds (477 bytes, patch)
2005-03-23 00:41 EST, Alexandre Oliva
no flags Details | Diff

  None (edit)
Description Alexandre Oliva 2005-03-21 09:20:02 EST
If I have one of my external HDs containing raid components connected to a USB
and one to a Firewire port, both are successfully brought up, as long as I
arrange for usb-storage to be loaded after sbp2: the sleep 5 after loading
usb-storage enables both buses to stabilize.

However, if I connect the disk that was on Firewire on a USB port, then, most
times, neither disk is brought up before raid devices are started.  It seems
that a little bit more than 5 seconds is needed for two disks to be detected and
brought up.

May I suggest that we extend the sleep to say 8 seconds, which has been working
reliably for me?  Also, how about arranging for such a sleep to be added after
the last of sbp2 and usb-storage, such that the order of scsi_hostadapter in
/etc/modprobe.conf doesn't affect whether Firewire disks work or not?  I'm
willing to implement and test such a change, if given a go ahead first.

Version-Release number of selected component (if applicable):
mkinitrd-4.2.4-1
Comment 1 Alexandre Oliva 2005-03-23 00:38:49 EST
FWIW, I don't need two external USB disks for the 5-second delay to be
insufficient: having a disk and my brand new USB mouse is enough to get the disk
brought up a tad bit too late for raid devices containing members in it to come
up cleanly.
Comment 2 Alexandre Oliva 2005-03-23 00:41:17 EST
Created attachment 112242 [details]
Patch that increases the usb-storage stabilization wait to 8 seconds

And here's the patch that fixed it.
Comment 3 Peter Jones 2005-03-23 17:22:45 EST
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.